<div class="mat-elevation-z8">  <!-- Depth level of the table (= bottom shadow) -->

  <button mat-fab class="addButton" color="primary" routerLink="../new-transaction">+</button>
    <table  class="full-width-table"  aria-label="Elements">
      <thead>
        <tr>
          <th>ID</th>
          <th>Amount</th>
          <th>Date</th>
          <th>Level</th>
          <th>Communication</th>
          <th>Photo</th>
        </tr>
      </thead>
      <tbody>
      <tr *ngFor="let transaction of transactions; let j = index;">
        <td class="infoColumn">{{transaction.id}}</td>
        <td class="infoColumn">{{transaction.amount}}</td>
        <td class="infoColumn">{{transaction.date}}</td>
        <td class="infoColumn">{{transaction.level}}</td>
        <td class="infoColumn">{{transaction.communication}}</td>
        <td *ngFor="let bill of bills; let i = index;" class="photos"><img *ngIf="
        bill.idTransaction==transaction.id" src="{{bill.relativePath}}" class="images"/>
          <button *ngIf="i==bills.length-1" class="addButtonBill" (click)="showForm(j)">+</button>
          <form *ngIf="i===bills.length-1 && showing[j]===true" [formGroup]="form" (ngSubmit)="hiddeForm(j)"class="addBill"><input type="text" formControlName="relativePath">
            <input type="submit">
          </form></td>
      </tr>
      </tbody>
      <!-- Amount Column
      <ng-container matColumnDef="billAmount">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Amount</th>
        <td mat-cell *matCellDef="let row">{{row.billAmount}}</td>
      </ng-container>

       Date Column
      <ng-container matColumnDef="billDate">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Date</th>
        <td mat-cell *matCellDef="let row">{{row.billDate}}</td>
      </ng-container>

       Communication Column
      <ng-container matColumnDef="billCommunication">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Communication</th>
        <td mat-cell *matCellDef="let row">{{row.billCommunication}}</td>
      </ng-container>

       BillNumber Column
      <ng-container matColumnDef="billNumber">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Bill number</th>
        <td mat-cell *matCellDef="let row">{{row.billNumber}}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>-->
    </table>
<!--
    <mat-paginator #paginator
                   [length]="dataSource?.data?.length"
                   [pageIndex]="0"
                   [pageSize]="5"
                   [pageSizeOptions]="[5, 10, 20]"
                   aria-label="Select page">
    </mat-paginator>
  -->
    <mat-card>
      Final balance: {{calculateSum()}}
      <mat-card-actions>

      </mat-card-actions>
    </mat-card>

  </div>
<div>
<app-users></app-users></div>



